Overview
POST
/settings/notificationssettingsCreate notifications
Create a record in notifications.
Auth: bearerAuth — calls run as the authenticated user.
Request body
application/json · optional
- deletedAtoptionalstring?
- ecosystemIdoptionalstring
- categorystring
- emailoptionalboolean
- smsoptionalboolean
- inAppoptionalboolean
Example
{
"deletedAt": "string",
"ecosystemId": "string",
"category": "string",
"email": true,
"sms": true,
"inApp": true
}Responses
201
notifications
- idstring
- customerIdstring
- deletedAtstring?
- ecosystemIdstring
- categorystring
- emailboolean
- smsboolean
- inAppboolean
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"category": "string",
"email": true,
"sms": true,
"inApp": true,
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X POST "https://api.agenticdeveloperhub.com/settings/notifications" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"deletedAt": "string",
"ecosystemId": "string",
"category": "string",
"email": true,
"sms": true,
"inApp": true
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/settings/notifications", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"deletedAt\": \"string\",\n \"ecosystemId\": \"string\",\n \"category\": \"string\",\n \"email\": true,\n \"sms\": true,\n \"inApp\": true\n}",
});
const data = await res.json();